package com.ruoyi.cs.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 附件对象 cs_annex
 * 
 * @author ruoyi
 * @date 2024-04-30
 */
public class CsAnnex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 附件主键ID */
    private String annexId;

    /** 相关资源ID */
    @Excel(name = "相关资源ID")
    private String resId;

    /** 相关资源名 */
    @Excel(name = "相关资源名")
    private String resName;

    /** 相关资源类型：0-资源，1-工单，2- */
    @Excel(name = "相关资源类型：0-资源，1-工单，2-")
    private String resType;

    /** 附件类型：0-附件，1-图片 */
    @Excel(name = "附件类型：0-附件，1-图片")
    private String annexType;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String annexName;

    /** 格式 */
    @Excel(name = "格式")
    private String annexFormat;

    /** 大小 */
    @Excel(name = "大小")
    private String annexSize;

    /** 附件路径 */
    @Excel(name = "附件路径")
    private String annexUrl;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 状态：0-正常，1-隐藏 */
    @Excel(name = "状态：0-正常，1-隐藏")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setAnnexId(String annexId) 
    {
        this.annexId = annexId;
    }

    public String getAnnexId() 
    {
        return annexId;
    }
    public void setResId(String resId) 
    {
        this.resId = resId;
    }

    public String getResId() 
    {
        return resId;
    }
    public void setResName(String resName) 
    {
        this.resName = resName;
    }

    public String getResName() 
    {
        return resName;
    }
    public void setResType(String resType) 
    {
        this.resType = resType;
    }

    public String getResType() 
    {
        return resType;
    }
    public void setAnnexType(String annexType) 
    {
        this.annexType = annexType;
    }

    public String getAnnexType() 
    {
        return annexType;
    }
    public void setAnnexName(String annexName) 
    {
        this.annexName = annexName;
    }

    public String getAnnexName() 
    {
        return annexName;
    }
    public void setAnnexFormat(String annexFormat) 
    {
        this.annexFormat = annexFormat;
    }

    public String getAnnexFormat() 
    {
        return annexFormat;
    }
    public void setAnnexSize(String annexSize) 
    {
        this.annexSize = annexSize;
    }

    public String getAnnexSize() 
    {
        return annexSize;
    }
    public void setAnnexUrl(String annexUrl) 
    {
        this.annexUrl = annexUrl;
    }

    public String getAnnexUrl() 
    {
        return annexUrl;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("annexId", getAnnexId())
            .append("resId", getResId())
            .append("resName", getResName())
            .append("resType", getResType())
            .append("annexType", getAnnexType())
            .append("annexName", getAnnexName())
            .append("annexFormat", getAnnexFormat())
            .append("annexSize", getAnnexSize())
            .append("annexUrl", getAnnexUrl())
            .append("content", getContent())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
